package com.bjlt.spider.controller;

import com.bjlt.spider.entity.OrderRequestEntity;
import com.bjlt.spider.service.AirasiaWebService;
import com.bjlt.spider.util.RespCode;
import com.bjlt.spider.util.RespEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * auth : luyanan0718@163.com
 * com.bjlt.spider.controller
 * CreateTime:2017/10/25-16:17
 * introduce:
 **/
@Controller
@RequestMapping("airasiaweb")
public class AirasiaWebController {


    @Autowired
    private AirasiaWebService airasiaWebService;



    @RequestMapping(value = "order",method =  RequestMethod.POST)
    public RespEntity order(OrderRequestEntity orderRequestEntity){

        try {
            return airasiaWebService.order(orderRequestEntity);
        }catch (Exception e){
            return RespEntity.error(RespCode.ORDER_ERROR,e);
        }

    }

}
